%define major		0
%define gir_major	1.0
%define libname		%mklibname %{name} %{major}
%define libnamedevel	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		caribou
Version:	0.4.4.2
Release:	%mkrel 1
Summary:	A simplified in-place on-screen keyboard
Group:		Accessibility
License:	LGPLv2+
URL:		http://live.gnome.org/Caribou
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	python-devel
Buildrequires:  pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	python-gi
BuildRequires:	python-at-spi
BuildRequires:	python-virtkey
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	pkgconfig(clutter-1.0) >= 1.5.11
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(libxklavier)
BuildRequires:	libjson-glib-devel
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	gobject-introspection-devel
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.90.3
Requires:	pyatspi

%description
Caribou is a text entry application that currently manifests itself as
a simplified in-place on-screen keyboard.

%package	gtk2
Summary:	GTK2 Integration for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description	gtk2
GTK2 Integration for %{name}.

%package	gtk3
Summary:	GTK3 Integration for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description	gtk3
GTK3 Integration for %{name}.

%package -n	%{libname}
Summary:	Library files for %{name}
Group:		System/Libraries
Requires:	%{name}

%description -n %{libname}
Library files for %{name}.

%package -n	%{libnamedevel}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedevel}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name '*.la' -exec rm -f {} ';'

echo "NoDisplay=true" >> %{buildroot}%{_datadir}/applications/caribou.desktop
echo "OnlyShowIn=GNOME;" >> %{buildroot}%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/caribou.desktop
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop || :

%find_lang caribou

%files -f caribou.lang
%doc NEWS README
%{_bindir}/caribou
%{_bindir}/caribou-preferences
%{_datadir}/caribou
%{_datadir}/antler
%{_datadir}/dbus-1/services/org.gnome.Caribou.Antler.service
%{_libexecdir}/antler-keyboard
%{_datadir}/applications/caribou.desktop
%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop
%{_datadir}/glib-2.0/schemas/*
%{py_puresitedir}/caribou

%files gtk2
%{_libdir}/gtk-2.0/modules/libcaribou-gtk-module.so

%files gtk3
%{_libdir}/gtk-3.0/modules/libcaribou-gtk-module.so
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk-module.desktop

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Caribou-%{gir_major}.typelib

%files -n %{libnamedevel}
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/Caribou-%{gir_major}.gir


%changelog

* Thu Nov 15 2012 fwang <fwang> 0.4.4.2-1.mga3
+ Revision: 318071
- new version 0.4.4.2

* Sat Nov 03 2012 fwang <fwang> 0.4.4-3.mga3
+ Revision: 313490
- cleanup br

* Wed Sep 05 2012 ovitters <ovitters> 0.4.4-2.mga3
+ Revision: 288599
- make lib require caribou (mga#5875)

* Wed Sep 05 2012 ovitters <ovitters> 0.4.4-1.mga3
+ Revision: 288473
- new version 0.4.4

* Wed Jul 18 2012 ovitters <ovitters> 0.4.3-1.mga3
+ Revision: 272264
- new version 0.4.3

* Tue Mar 27 2012 ovitters <ovitters> 0.4.2-1.mga2
+ Revision: 227052
- new version 0.4.2

* Sat Feb 18 2012 tv <tv> 0.4.1-4.mga2
+ Revision: 210483
- there's no reason why library should requires the tool

* Fri Feb 10 2012 tv <tv> 0.4.1-3.mga2
+ Revision: 206894
- fix requires so that it really start (mga#4469)

* Sat Dec 17 2011 misc <misc> 0.4.1-2.mga2
+ Revision: 182897
- add missing requires, thanks nanar for spotting it

* Tue Oct 18 2011 wally <wally> 0.4.1-1.mga2
+ Revision: 156073
- new version 0.4.1

  + ovitters <ovitters>
    - remove unneeded patches

* Tue Sep 27 2011 ovitters <ovitters> 0.4.0-1.mga2
+ Revision: 149174
- new version 0.4.0

* Mon Sep 19 2011 wally <wally> 0.3.92-1.mga2
+ Revision: 145752
- fix file list
- new version 0.3.92

* Tue Sep 06 2011 wally <wally> 0.3.91-1.mga2
+ Revision: 139622
- new version 0.3.91
- split out gir .typelibs to a separate subpackage
- use configure2_5x macro
- add major version check to file list

* Tue Aug 30 2011 colin <colin> 0.3.5-1.mga2
+ Revision: 136470
- BuildRequire: python-gi
- imported package caribou

